puppet 2.7.* break installation of foreman-proxy
Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

With puppet 2.6.6 (from epel) all works (except the augeas part (extra bugreport)).

With puppet 2.7.x the installation failed with

echo include foreman_proxy | puppet --modulepath=/root/puppet-foreman/ 

warning: Implicit invocation of 'puppet apply' by passing files (or flags) directly

to 'puppet' is deprecated, and will be removed in the 2.8 series.  Please                         

       

invoke 'puppet apply' directly in the future.                                                     

       

Parameter path failed: File paths must be fully qualified, not 'undef' at /root/puppet-foreman/for

eman_proxy/manifests/tftp.pp:10

Related issues:

Has duplicate Installer - Bug #1252: foreman_proxy module fails immediately o... Duplicate 10/21/2011

History

#1 - 10/16/2011 03:31 PM - Florian Koch

ok it looks very similar to this problem:

http://groups.google.com/group/puppet-users/browse_thread/thread/6b7119c4178e4a76

itest the solution tomorrow.

rgds Flo

#2 - 10/16/2011 03:33 PM - Florian Koch

Florian Koch wrote:

ok it looks very similar to this problem:

http://groups.google.com/group/puppet-users/browse_thread/thread/6b7119c4178e4a76

i test the suggested solution tomorrow.

rgds Flo

#3 - 10/18/2011 02:54 PM - Florian Koch

ok i had no luck with the solution. After some research it seems that puppet 2.7.5 has changed the Class and Variable scope, i think the whole

module needs restructured.

rgds flo
#4 - 10/19/2011 01:59 PM - Florian Koch

Hi,

ok if i replace the variables with normal strings, all works fine (except the augeas part).

class foreman_proxy::tftp {

  include ::tftp

  #file{ $foreman_proxy::params::tftp_dir:

   # owner   => $foreman_proxy::params::user,

   # mode    => 644,

   # require => Class["foreman_proxy::install"],

   # ensure  => directory,

   # recurse => true;

  #}

  file{ ["/tftpboot//pxelinux.cfg","/tftpboot/build"]:

    owner   => $foreman_proxy::params::user,

    mode    => 644,

    require => Class["foreman_proxy::install"],

    ensure  => directory,

    recurse => true;

  }

  #link_file{$foreman_proxy::params::syslinux_files:

   # source_path => $foreman_proxy::params::syslinux_root,

   # target_path => $foreman_proxy::params::tftproot,

   # require     => Class["tftp::install"];

  #}

  link_file{$foreman_proxy::params::syslinux_files:

    source_path => '/usr/share/syslinux',#$foreman_proxy::params::syslinux_root,

    target_path => '/tftproot',#$foreman_proxy::params::tftproot,

    require     => Class["tftp::install"];

  }

}

define link_file($source_path, $target_path) {

  file{"$target_path/$name":

    ensure => link,

    target => "$source_path/$name" 

  }

}

 rgds flo

#5 - 10/20/2011 02:20 PM - Joshua Hoblitt

- File fix_foreman_proxy_tftp_params_scope_v2.7.diff added

I'm attaching a patch the fixes the scoping issues under puppet 2.7.x.

#6 - 10/20/2011 02:31 PM - Joshua Hoblitt

- File fix_foreman_proxy_tftp_params_scope_v2.6_v2.7.diff added

I'm attaching an updated patch that I hope will work with puppet 2.6.x (untested).  foreman_proxy is still not 100% working under puppet 2.7.5 but this

failure appears to be unrelated.

[root@ctrl ~]# echo include foreman, foreman_proxy | puppet --verbose --modulepath /root/puppet-foreman/

warning: Implicit invocation of 'puppet apply' by passing files (or flags) directly

to 'puppet' is deprecated, and will be removed in the 2.8 series.  Please

invoke 'puppet apply' directly in the future.

info: /Group[apache]: Provider groupadd does not support features manages_aix_lam; not managing attribute ia_load_module

info: Applying configuration version '1319135324'

err: /Stage[main]/Foreman_proxy::Config/Augeas[sudo-foreman-proxy]: Could not evaluate: Save failed with return code false

notice: /Stage[main]/Foreman_proxy::Service/Service[foreman-proxy]: Dependency Augeas[sudo-foreman-proxy] has failures: true

warning: /Stage[main]/Foreman_proxy::Service/Service[foreman-proxy]: Skipping because of failed dependencies

notice: Finished catalog run in 2.65 seconds

#7 - 12/07/2011 07:42 AM - Marcello de Sousa

About augeas, check my comment on #1227

#8 - 12/07/2011 11:23 AM - Joshua Hoblitt
Re #1227 if that is an augeas problem, why are folks not seeing it under puppet 2.6.x?  RHEL6.2 was released yesterday so hopefully I'll have a 6.2

test system up later this week.

#9 - 11/15/2012 09:31 AM - Ohad Levy

- Priority changed from High to Normal

- Target version set to Bug scrub

can't reproduce with latest foreman installer

#10 - 11/15/2012 12:37 PM - Sam Kottler

- Status changed from New to Closed

This doesn't seem to be an issue any longer with the versions of the modules included with the latest installer so I'm going to close this out.

#11 - 01/18/2019 02:43 PM - Ewoud Kohl van Wijngaarden

- Description updated

- Target version deleted (571)

- Triaged set to No

Files

fix_foreman_proxy_tftp_params_scope_v2.7.diff 651 Bytes 10/20/2011 Joshua Hoblitt

fix_foreman_proxy_tftp_params_scope_v2.6_v2.7.diff 658 Bytes 10/20/2011 Joshua Hoblitt
